Summary: An Optical Character Recognition program
Name: ocrad
Version: 0.28
Release:    1%{?dist}
License: GPL-3.0-or-later
Source0: ftp://ftp.gnu.org/gnu/ocrad/%{name}-%{version}.tar.lz
Patch0: ocrad-0.25-nostatic.patch
URL: http://www.gnu.org/software/ocrad/ocrad.html
BuildRequires: make
BuildRequires: lzip gcc-c++
BuildRequires: libpng-devel

%description
GNU Ocrad is an OCR (Optical Character Recognition) program based on a feature
extraction method. It reads images in pbm (bitmap), pgm (greyscale) or ppm
(color) formats and produces text in byte (8-bit) or UTF-8 formats.
Also includes a layout analyser able to separate the columns or blocks of text
normally found on printed pages.
Ocrad can be used as a stand-alone console application, or as a backend to
other programs.

%prep
%setup -q
%patch0 -p1 -b .nostatic

%build
%configure
make CXXFLAGS="$RPM_OPT_FLAGS" %{?_smp_flags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
mkdir -p %{buildroot}%{_mandir}/man1
install -p doc/ocrad.1 %{buildroot}%{_mandir}/man1
rm -f %{buildroot}%{_infodir}/dir

%files
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/ocrad
%attr(0644,root,root) %{_mandir}/man1/*
%attr(0644,root,root) %{_infodir}/ocrad.info.gz

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.28-1
- initial build
